1 Reply Latest reply on Apr 12, 2016 12:51 PM by razor

    X Server version cannot be detected.

    razor

      Hi,

       

      I am installing a AMD FirePro S9150 on a Dell PowerEdge R730 running CentOS release 6.6. I have downloaded the driver amd-driver-installer-15.201.2401-x86.x86_64.run but when I try to install it looks like it can't find X server:

       

      Created directory fglrx-install.POoqyR

      Verifying archive integrity... All good.

      Uncompressing AMD Catalyst(TM) Proprietary Driver-15.201.2401......................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................

      =====================================================================

      AMD Catalyst(TM) Proprietary Driver Installer/Packager

      =====================================================================

      which: no X in (/opt/openmpi/bin:/usr/lib64/qt-3.3/bin:/opt/sge/bin:/opt/sge/bin/lx-amd64:/opt/sge/bin:/opt/sge/bin/lx-amd64:/share/admin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/opt/bio/ncbi/bin:/opt/bio/mpiblast/bin:/opt/bio/EMBOSS/bin:/opt/bio/clustalw/bin:/opt/bio/tcoffee/bin:/opt/bio/hmmer/bin:/opt/bio/phylip/exe:/opt/bio/mrbayes:/opt/bio/fasta:/opt/bio/glimmer/bin:/opt/bio/glimmer/scripts:/opt/bio/gromacs/bin:/opt/bio/gmap/bin:/opt/bio/tigr/bin:/opt/bio/autodocksuite/bin:/opt/bio/wgs/bin:/opt/ganglia/bin:/opt/ganglia/sbin:/usr/java/latest/bin:/opt/rocks/bin:/opt/rocks/sbin:/root/bin)

      which: no Xorg in (/opt/openmpi/bin:/usr/lib64/qt-3.3/bin:/opt/sge/bin:/opt/sge/bin/lx-amd64:/opt/sge/bin:/opt/sge/bin/lx-amd64:/share/admin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/opt/bio/ncbi/bin:/opt/bio/mpiblast/bin:/opt/bio/EMBOSS/bin:/opt/bio/clustalw/bin:/opt/bio/tcoffee/bin:/opt/bio/hmmer/bin:/opt/bio/phylip/exe:/opt/bio/mrbayes:/opt/bio/fasta:/opt/bio/glimmer/bin:/opt/bio/glimmer/scripts:/opt/bio/gromacs/bin:/opt/bio/gmap/bin:/opt/bio/tigr/bin:/opt/bio/autodocksuite/bin:/opt/bio/wgs/bin:/opt/ganglia/bin:/opt/ganglia/sbin:/usr/java/latest/bin:/opt/rocks/bin:/opt/rocks/sbin:/root/bin)

       

      error: X Server version cannot be detected. (default:v2:x86_64:lib::none:2.6.32-504.16.2.el6.x86_64:)

      Installation will not proceed.

       

      Removing temporary directory: fglrx-install.POoqyR

       

       

       

       

      But it looks like xorg is installed according to yum:

       

      yum list installed | grep xorg

      xorg-x11-apps.x86_64  7.7-6.el6         @Rocks-6.2

      xorg-x11-font-utils.x86_64

      xorg-x11-proto-devel.noarch

      xorg-x11-xauth.x86_64 1:1.0.2-7.1.el6   @anaconda-base-201505101627.x86_64/6.2.0

       

       

      How do I get the installer to see xorg?

        • Re: X Server version cannot be detected.
          razor

          Update: I got it to work with this:

          yum -y groupinstall "X Window System" "Desktop" "Fonts" "General Purpose Desktop"

          But this GPU is only going to be used computationally (as a compute node in a cluster) and it has no video out port. Is there a different driver I can use that does not require the Desktop install? We are not going be using the desktop and would rather not have it installed.